<h2>General Settings</h2>
<hr />

<form name="digium_phones_general_settings" method="post" action="config.php?type=setup&display=digium_phones&digium_phones_form=general_edit">
<script>
$('form').submit(function() {
	if ($('#easy_mode option:selected').val() == "yes") {
		switch ($('#config_auth option:selected').val()) {
		case "mac":
		case "pin":
			$('#config_auth option[value=disabled]').attr('selected', true);
		default:
			break;
		}
	}
});
</script>
<input type="hidden" name="display" value="digium_phones" />
<input type="hidden" name="action" value="edit" />

<div class="setting">
	<label for="easy_mode"><a href="#" class="info">Easy Mode:<span>When Easy Mode is enabled, defaults are used for many options, a number of options are not configurable, and Phone Configurations will be automatically created or deleted based on FreePBX extensions, and lines will be mapped to those Phone Configurations.  Disabling Easy Mode provides all configuration options; but, when Easy Mode is disabled, Phone Configurations are not automatically managed.  Defaults to Yes (enabled).</span></a></label>
	<select id="easy_mode" name="easy_mode" style="width: 150px; " />
		<option value="yes">Yes</option>
		<option value="no">No</option>
	</select>
</div>

<div class="setting">
	<label for="globalpin"><a href="#" class="info">Global Pin:<span>A numeric identifier that, depending on the setting of User List and Config Authorization requirements, can be used to assign the configuration of any phone.</span></a></label>
	<input type="text" id="globalpin" name="globalpin" maxlength="10" value="<?php echo $digium_phones->get_general('globalpin')?>" style="width: 150px; " />
</div>

<div class="setting">
	<label for="userlist_auth"><a href="#" class="info">Require Global PIN for user list?:<span>Defines whether the Global PIN is required in order to pull a listing of available phone configurations. Defaults to "No," meaning any phone can pull a listing of all other available phone configurations.</span></a></label>
	<select id="userlist_auth" name="userlist_auth" style="width: 150px; ">
		<option value="disabled">No (Default)</option>
		<option value="globalpin">Yes</option>
	</select>
</div>

<div class="setting">
	<label for="config_auth"><a href="#" class="info">Phone Authentication Method:<span>This is the authentication type required for a user to take ownership of a phone. By default, no authentication is required and any user can claim any phone configuration. Other available options are: Phone PIN - user must enter the phone's PIN in order to claim the phone; Phone MAC Address - the phone's actual MAC address must match the configured MAC address for the phone; Global PIN - the user must enter the Global PIN in order to claim the phone.</span></a></label>
	<select id="config_auth" name="config_auth" style="width: 150px; ">
<?php
if (!$easymode) {
?>
		<option value="mac">Phone MAC Address</option>
		<option value="pin">Phone Pin</option>
<?php
}
?>
		<option value="globalpin">Global PIN</option>
		<option value="disabled">None (Default)</option>
	</select>
</div>

<br />

<div class="setting">
	<label for="internal_phonebook_sort"><a href="#" class="info">Internal Phonebook Sort Order:<span>Defines the order in which internal phonebooks are sorted.  Default is by extension.</span></a></label>
	<select id="internal_phonebook_sort" name="internal_phonebook_sort" style="width: 150px; ">
		<option value="extension">Extension (Default)</option>
		<option value="description">Name</option>
       </select>
</div>

<div onclick="$('#divadvanced').slideToggle('fast');" style="cursor: pointer; background-color: #CCC; margin: 3px; padding: 2px; border-style:solid; border-width: 1px; ">
<a href="javascript:void(null);">Advanced Options:</a>
</div>
<div id="divadvanced" style="display: none; margin: 3px; padding: 2px; border-style:solid; border-width: 1px; ">
<div class="setting">
	<label for="active_locale"><a href="#" class="info">Active Locale:<span>Set the default active locale</span></a></label>
	<?php
		$selected_locale = $digium_phones->get_general('active_locale');
	?>
	<select id="active_locale" name="active_locale">
		<option value=""<?php if ($selected_locale === NULL) { echo ' selected '; }?>></option>
		<?php
			$locales = $digium_phones->get_locales();
			foreach ($locales as $locale) {
		?>
		<option <?php if ($selected_locale === $locale) { echo 'selected '; } ?>value="<?php echo $locale?>"><?php echo $locale ?></option>
		<?php
			}
		?>
	</select>
</div>
<div class="setting">
	<label for="service_name"><a href="#" class="info">mDNS Service Name:<span>Defines the registration server name for this server, provided to the phone during its mDNS server discovery..</span></a></label>
	<input type="text" id="service_name" name="service_name" value="<?php echo $digium_phones->get_general('service_name')?>" style="width: 150px; " />
</div>

<div class="setting">
	<label for="mdns_address"><a href="#" class="info">mDNS Discovery Address:<span>Defines the SIP UDP signaling address or hostname of this server, provided to the phone during its mDNS server discovery.</span></a></label>
	<input type="text" id="mdns_address" name="mdns_address" value="<?php echo $digium_phones->get_general('mdns_address')?>" style="width: 150px; " />
</div>

<div class="setting">
	<label for="mdns_port"><a href="#" class="info">mDNS Discovery Port:<span>Defines the SIP UDP signaling port for this server, provided to the phone during its mDNS server discovery. Defaults to "5060".</span></a></label>
	<input type="text" id="mdns_port" name="mdns_port" value="<?php echo $digium_phones->get_general('mdns_port')?>" style="width: 150px; " />
</div>
</div>

<div class="btn_container">
	<input type="submit" id="general_submit" name="general_submit" value="Save" />
</div>
</form>
<br />

<script>
	ChangeSelectByValue('easy_mode', '<?php echo $digium_phones->get_general('easy_mode')?>', true);
	ChangeSelectByValue('userlist_auth', '<?php echo $digium_phones->get_general('userlist_auth')?>', true);
	ChangeSelectByValue('config_auth', '<?php echo $digium_phones->get_general('config_auth')?>', true);
	ChangeSelectByValue('internal_phonebook_sort', '<?php echo $digium_phones->get_general('internal_phonebook_sort')?>', true);
</script>
